org.apache.catalina.webresources

## Class ClasspathURLStreamHandler

- java.lang.Object
- - java.net.URLStreamHandler
  - - org.apache.catalina.webresources.ClasspathURLStreamHandler

-     public class ClasspathURLStreamHandler
      extends URLStreamHandler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClasspathURLStreamHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected URLConnection` | `openConnection(URL u)`

    - ### Methods inherited from class java.net.URLStreamHandler

      `equals, getDefaultPort, getHostAddress, hashCode, hostsEqual, openConnection, parseURL, sameFile, setURL, setURL, toExternalForm`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClasspathURLStreamHandler

          public ClasspathURLStreamHandler()

  - ### Method Detail

    - #### openConnection

          protected URLConnection openConnection(URL u)
                                          throws IOException

      Specified by:
        `openConnection` in class `URLStreamHandler`
      Throws:
        `IOException`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.